Bug 243770 - devel/llvm90 : Fails to build on FreeBSD 12.1-RELEASE-p1 powerpc 32 bit: error: pkg_resources.DistributionNotFound: The 'sphinxcontrib-websupport' distribution was not found
Summary: devel/llvm90 : Fails to build on FreeBSD 12.1-RELEASE-p1 powerpc 32 bit: erro...
Status: Closed Not A Bug
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: powerpc Any
: --- Affects Only Me
Assignee: Brooks Davis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-01 09:38 UTC by canardo
Modified: 2020-02-08 18:21 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (brooks)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description canardo 2020-02-01 09:38:50 UTC
/usr/ports/devel/llvm # make -DBATCH install 
===>  Staging for llvm-90
===>   llvm-90 depends on executable: bugpoint90 - not found
===>  Building for llvm90-9.0.1
[1/1512] cd /usr/ports/devel/llvm90/work/.build/tools/clang/tools/extra/docs && /usr/local/bin/cmake -E make_directory /usr/ports/devel/llvm90/work/.build/tools/clang/tools/extra/docs/html && /usr/local/bin/sphinx-build-3.7 -b html -d /usr/ports/devel/llvm90/work/.build/tools/clang/tools/extra/docs/_doctrees-clang-tools-html -q /usr/ports/devel/llvm90/work/llvm-9.0.1.src/tools/clang/tools/extra/docs /usr/ports/devel/llvm90/work/.build/tools/clang/tools/extra/docs/html
FAILED: tools/clang/tools/extra/docs/CMakeFiles/docs-clang-tools-html 
cd /usr/ports/devel/llvm90/work/.build/tools/clang/tools/extra/docs && /usr/local/bin/cmake -E make_directory /usr/ports/devel/llvm90/work/.build/tools/clang/tools/extra/docs/html && /usr/local/bin/sphinx-build-3.7 -b html -d /usr/ports/devel/llvm90/work/.build/tools/clang/tools/extra/docs/_doctrees-clang-tools-html -q /usr/ports/devel/llvm90/work/llvm-9.0.1.src/tools/clang/tools/extra/docs /usr/ports/devel/llvm90/work/.build/tools/clang/tools/extra/docs/html
Traceback (most recent call last):
  File "/usr/local/bin/sphinx-build-3.7", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3251, in <module>
    @_call_aside
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3235, in _call_aside
    f(*args, **kwargs)
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3264, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'sphinxcontrib-websupport' distribution was not found and is required by Sphinx
ninja: build stopped: subcommand failed.
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/devel/llvm90
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/llvm
Comment 1 canardo 2020-02-01 20:36:59 UTC
This error occurs when building devel/llvm with FreeBSD 12.1-RELEASE-p1 powerpc 32 bit, running on Apple Powerbook 17".
Comment 2 Brooks Davis freebsd_committer 2020-02-05 03:58:15 UTC
Are all your other ports up to date and is py-sphinxcontrib-websupport installed?
Comment 3 canardo 2020-02-05 11:22:01 UTC
(In reply to Brooks Davis from comment #2)

I checked py-sphinxcontrib-websupport and it is properly installed
(NB : on freshport.org, it is still named py36-sphinxcontrib-websupport)

# pkg info py37-sphinxcontrib-websupport
py37-sphinxcontrib-websupport-1.1.2
Name           : py37-sphinxcontrib-websupport
Version        : 1.1.2

But some of my other ports are not up-to-date yet, update is in progress, might take a while.

Once done, I'll try again to build llvm and keep you posted.
Comment 4 canardo 2020-02-08 18:21:29 UTC
Sphinx, and few other dependencies, were present but not working properly.
Once repaired, llvm has been built successfully.

Sorry for annoyance, PR can be closed.